BDU:2019-01409: Уязвимость функции hso_get_config_data ядра операционных систем Linux, позволяющая нарушителю вызвать отказ в обслуживании

Описание уязвимости Уязвимость функции hso_get_config_data (drivers/net/usb/hso.c) ядра операционных систем Linux вызвана выходом операции за границы буфера в памяти. Эксплуатация уязвимости может позволить нарушителю вызвать отказ в обслуживании
Вендор Software in the Public Interest Inc., Сообщество свободного программного обеспечения
Наименование ПО Debian GNU/Linux, Linux
Версия ПО
  • 8.0 (Debian GNU/Linux)
  • до 4.19.8 включительно (Linux)
Тип ПО Операционная система
Операционные системы и аппаратные платформы
Данные уточняются
Тип ошибки Чтение за границами буфера
Идентификатор типа ошибки
Класс уязвимости Уязвимость кода
Дата выявления 12.12.2018
Базовый вектор уязвимости
Уровень опасности уязвимости Низкий уровень опасности (базовая оценка CVSS 2.0 составляет 2,1)
Средний уровень опасности (базовая оценка CVSS 3.0 составляет 4,6)
Возможные меры по устранению уязвимости
Статус уязвимости Подтверждена производителем
Наличие эксплойта Данные уточняются
Способ эксплуатации
  • Манипулирование структурами данных
Способ устранения Обновление программного обеспечения
Информация об устранении Уязвимость устранена
Ссылки на источники
Идентификаторы других систем описаний уязвимостей
Прочая информация -
Последние изменения